/*
 * Copyright (c) 2019, Erich Styger
 *
 * SPDX-License-Identifier: BSD-3-Clause
 */

#ifndef SHELL_H_
#define SHELL_H_

#include "McuShell.h"

uint8_t SHELL_ParseCommandWithIO(unsigned char *cmd, McuShell_ConstStdIOType *io);
uint8_t SHELL_ParseCommand(unsigned char *cmd);
void SHELL_SendString(unsigned char *str);
void SHELL_SendChar(unsigned char ch);

void SHELL_Init(void);
void SHELL_Deinit(void);

#endif /* SHELL_H_ */
